import 'dart:async';

import 'engine.dart' as rx;

void main() {
  rx.Observable list$ = rx.observable(new Stream.periodic(const Duration(milliseconds: 1), (int computationCount) => computationCount))
    .bufferWithCount(30, 1)
    .map((List<int> value) => value.map((int v) => <String, String>{
      'spanValue': v.toString(),
      'wrapperClass': 'row ${v % 2 == 0 ? 'red' : 'blue'}',
      'title': '$v elements'
    }))
    .asBroadcastStream();

  rx.bind('header', list$.scan((_, List<Map<String, String>> value, __) => [{
    'title': value.last['title']
  }]));

  rx.bind('list', list$);
}